Subject: bug#40817: 27.0.91; setting frame parameter '(left - 0) leaves gap to the right under GTK

From: Robert Pluim <[email-masked]>
Date: Wed, 29 Apr 2020 18:51:52 +0200

>>>>> On Wed, 29 Apr 2020 17:03:18 +0200, martin rudalics <[email-masked]> said:

    >> I see this with the GNOME shell on Ubuntu 20.04 (not sure if itʼs
    >> using mutter, how does one check that?).

    martin> With the task manager.  With wmctrl it identifies itself as GNOME shell.

Hmm, 'mutter' doesnʼt appear there, but
/etc/alternatives/x-window-manager points at mutter (and it behaves
consistently with the description of this bug).

    >> However, the good news is that the behaviour is correct using the
    >> pgtk build, including '((top - 0)).

    martin> Good to hear.  I haven't had time to look into this so far but I always
    martin> hoped that a pure GTK build would solve this and maybe some of our other
    martin> GTK issues.  It would be interesting to know whether and how the
    martin> arguments of

And I spoke too soon: the pgtk build moves the frame to the right
edge, but also to the top.

    martin> 	gtk_window_move (GTK_WINDOW (FRAME_GTK_OUTER_WIDGET (f)),
    f-> left_pos / scale, f->top_pos / scale);
    martin> in xterm.c and

    martin>     gtk_window_move (GTK_WINDOW (FRAME_GTK_OUTER_WIDGET (f)),
    f-> left_pos, f->top_pos);

    martin> in pgtkterm.c differ.  BTW, did you test this with X11 or Wayland?

left_pos is scaled (in this case / 2), and top_pos is 0, because
thatʼs what itʼs set to in the frame. Thatʼs a separate bug though,
looks like thereʼs a missing initialization somewhere for the top_pos
and left_pos parameters.

Robert